<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{6AEB6B20-CF49-43F6-A5C6-B4ACFFB9C3FE}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>Nop.Plugin.Payments.BasisPay</RootNamespace>
    <AssemblyName>Nop.Plugin.Payments.BasisPay</AssemblyName>
    <TargetFrameworkVersion>v4.5.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\Presentation\Nop.Web\Plugins\Payments.BasisPay\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <Prefer32Bit>false</Prefer32Bit>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <StartupObject />
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Nop.Web">
      <HintPath>..\..\..\..\Presentation\Nop.Web\Plugins\Payments.BasisPay\Nop.Web.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Net" />
    <Reference Include="System.Web" />
    <Reference Include="System.Web.Mvc, Version=5.2.3.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL" />
    <Reference Include="System.Net.Http" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BasisPayHelper.cs" />
    <Compile Include="BasisPayPaymentProcessor.cs" />
    <Compile Include="BasisPayPaymentSettings.cs" />
    <Compile Include="Controllers\PaymentBasisPayController.cs" />
    <Compile Include="Models\ConfigurationModel.cs" />
    <Compile Include="Models\ErrorModel.cs" />
    <Compile Include="Models\PaymentInfoModel.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="RouteProvider.cs" />
    <Compile Include="TransactMode.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config" />
    <Content Include="Views\PaymentBasisPay\Configure.cshtml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Views\PaymentBasisPay\Error.cshtml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Views\PaymentBasisPay\Failure.cshtml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Views\PaymentBasisPay\Hash_Failure.cshtml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Views\PaymentBasisPay\PaymentInfo.cshtml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="Notes.txt" />
    <Content Include="web.config">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <Content Include="Description.txt">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
    <Content Include="logo.jpg" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\..\Libraries\Nop.Core\Nop.Core.csproj">
      <Project>{6bda8332-939f-45b7-a25e-7a797260ae59}</Project>
      <Name>Nop.Core</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Libraries\Nop.Services\Nop.Services.csproj">
      <Project>{210541ad-f659-47da-8763-16f36c5cd2f4}</Project>
      <Name>Nop.Services</Name>
    </ProjectReference>
    <ProjectReference Include="..\..\Presentation\Nop.Web.Framework\Nop.Web.Framework.csproj">
      <Project>{75fd4163-333c-4dd5-854d-2ef294e45d94}</Project>
      <Name>Nop.Web.Framework</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>